Package: javax.script

## [Java] Interface ScriptEngine

-     public interface ScriptEngine

  GDK enhancements for ScriptEngine.

  displayName:
    ScriptEngine
  receiverFqcn:
    javax.script.ScriptEngine

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `eval(String script, Binding binding)` Executes the specified script.
    `` | `public Object` | `eval(Reader reader, Binding binding)` Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`

- - ### Method Detail

    - #### public Object eval(String script, Binding binding)

      Executes the specified script. The default `ScriptContext` for the `ScriptEngine` is used. Variables from a Groovy `Binding` are made available in the default scope of the `Bindings` of the `ScriptEngine`. Resulting variables in the `Bindings` are returned back to the Groovy `Binding`.

      throws:
        javax.script.ScriptException if error occurs in script
      throws:
        NullPointerException if the argument is null
      Parameters:
        `script` - The script language source to be executed
        `binding` - A Groovy binding
      Returns:
        The value returned from the execution of the script (if supported by the Script engine)
      See Also:
        eval(javax.script.ScriptEngine, java.io.Reader, groovy.lang.Binding)
      Since:
        1.7.3

    - #### public Object eval(Reader reader, Binding binding)

      Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`

      throws:
        javax.script.ScriptException if an error occurs in script
      throws:
        NullPointerException if the argument is null
      Parameters:
        `reader` - The source of the script
        `binding` - A Groovy binding
      Returns:
        The value returned by the script
      See Also:
        eval(javax.script.ScriptEngine, java.lang.String, groovy.lang.Binding)
      Since:
        1.7.3